You are not logged in.

#1 2021-09-15 13:21:12

erakis
Member
Registered: 2017-12-12
Posts: 13

plasma-meta = invalid or corrupted package (PGP signature)

Hi,

I'm trying to install plasma KDE and I'm getting the error

sudo pacman -S plasma-meta
...
error: kwin: signature from "Antonio Rojas <arojas@archlinux.org>" is invalid
:: File /var/cache/pacman/pkg/kwin-5.22.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).

I cleaned the pacman cache  and retried but I'm getting the same error

sudo pacman -Sc

removing old packages from cache...
error: could not open file /var/cache/pacman/pkg/breeze-icons-5.85.0-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/networkmanager-qt-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kpeople-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kactivities-stats-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/qqc2-desktop-style-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kwin-5.22.5-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/modemmanager-1.16.10-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kuserfeedback-1.0.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/plasma-workspace-5.22.5-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/modemmanager-qt-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kirigami2-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kquickcharts-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/baloo-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/libqmi-1.30.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/plasma-framework-5.85.0-2-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/plasma-meta-5.22-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/krunner-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kdnssd-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: missing package metadata in /var/cache/pacman/pkg/tcpdump-4.9.2-1-x86_64.pkg.tar.xz.part
error: could not open file /var/cache/pacman/pkg/frameworkintegration-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/archlinux-appstream-data-20210902-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/threadweaver-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kfilemetadata-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kwayland-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/purpose-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/prison-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format

sudo pacman -S plasma-meta

I cleaned keys, clean cache and retry but I'm still getting the same error

sudo pacman-key --refresh-keys --keyserver arojas
sudo pacman -Sc
sudo pacman -S plasma-meta

I searched quite a bit, tried a lot of things I saw on the internet, but couldn't fix this problem.

uname -a
Linux laptop-xxx 5.13.13-arch1-1 #1 SMP PREEMPT Thu, 26 Aug 2021 19:14:36 +0000 x86_64 GNU/Linux

pacman --version
Pacman v6.0.1 - libalpm v13.0.1

Last edited by erakis (2021-09-15 13:23:58)

Offline

#2 2021-09-15 13:34:24

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,112

Re: plasma-meta = invalid or corrupted package (PGP signature)

-Sy archlinux-keyring to refresh that first,  but this old of a kernel and this kind of issue reads like you are  doing partial upgrades, don't do that: https://wiki.archlinux.org/title/System … nsupported

Last edited by V1del (2021-09-15 13:36:30)

Online

#3 2021-09-15 20:27:33

erakis
Member
Registered: 2017-12-12
Posts: 13

Re: plasma-meta = invalid or corrupted package (PGP signature)

Thank you for you time @V1del

$ sudo pacman -Sy archlinux-keyring
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
warning: archlinux-keyring-20210902-1 is up to date
$ sudo pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
 there is nothing to do

I'm getting the same problem while trying to install plasma-kde.

Why I have an old kernel version ? I treid refreshing my system with

$ sudo pacman --sync --refresh
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date

$ sudo pacman --sync --needed archlinux-keyring
warning: archlinux-keyring-20210902-1 is up to date -- skipping
 there is nothing to do

$  sudo pacman --sync --refresh --sysupgrade
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
 there is nothing to do

I have always done my system updates with

sudo pacman -Syu

What else can I do ?

Last edited by erakis (2021-09-16 00:07:34)

Offline

#4 2021-09-16 07:45:49

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,112

Re: plasma-meta = invalid or corrupted package (PGP signature)

That should be fine, this looks like a corrupted download, have you tried just deleting those packages from the cache and downloading them again?

Potentially also a generally broken mirror, pick one with a low delay time put it on the top of your list: https://archlinux.org/mirrors/status/#successful

Last edited by V1del (2021-09-16 07:46:55)

Online

#5 2021-09-16 20:11:44

erakis
Member
Registered: 2017-12-12
Posts: 13

Re: plasma-meta = invalid or corrupted package (PGP signature)

I tried cleaning the pacman cache with

sudo pacman -Sc

Packages to keep:
  All locally installed packages

Cache directory: /var/cache/pacman/pkg/
:: Do you want to remove all other packages from cache? [Y/n] y
removing old packages from cache...
error: could not open file /var/cache/pacman/pkg/breeze-icons-5.85.0-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/networkmanager-qt-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kpeople-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kactivities-stats-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/qqc2-desktop-style-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kwin-5.22.5-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/modemmanager-1.16.10-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kuserfeedback-1.0.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/plasma-workspace-5.22.5-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/modemmanager-qt-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kirigami2-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kquickcharts-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/baloo-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/libqmi-1.30.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/plasma-framework-5.85.0-2-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/plasma-meta-5.22-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/krunner-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kdnssd-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: missing package metadata in /var/cache/pacman/pkg/tcpdump-4.9.2-1-x86_64.pkg.tar.xz.part
error: could not open file /var/cache/pacman/pkg/frameworkintegration-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/archlinux-appstream-data-20210902-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/threadweaver-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kfilemetadata-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/kwayland-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/purpose-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/prison-5.85.0-1-x86_64.pkg.tar.zst: Unrecognized archive format

Database directory: /var/lib/pacman/
:: Do you want to remove unused repositories? [Y/n] y
removing unused sync repositories...

Then I tried reinstalling plasma-meta

sudo pacman -S plasma-meta

Total (124/124)                                                                                                   237.5 MiB  2.02 MiB/s 01:58 [########################################################################################] 100%
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from mirror.csclub.uwaterloo.ca : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from arch.mirror.constant.com : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from mirror.cedille.club : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from arlm.tyzoid.com : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from mirror.lty.me : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from archlinux.uk.mirror.allworldit.com : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from archlinux.mailtunnel.eu : The requested URL returned error: 404
error: failed retrieving file 'gdb-10.2-2-x86_64.pkg.tar.zst' from arch.tamcore.eu : Could not resolve host: arch.tamcore.eu

...

warning: too many errors from ftp.spline.inf.fu-berlin.de, skipping for the remainder of this transaction
error: failed retrieving file 'gdb-common-10.2-2-x86_64.pkg.tar.zst' from ftp.myrveln.se : The requested URL returned error: 404
warning: too many errors from ftp.myrveln.se, skipping for the remainder of this transaction
(127/127) checking keys in keyring                                                                                                             [########################################################################################] 100%
(127/127) checking package integrity                                                                                                           [########################################################################################] 100%
error: gdb-common: signature from "Anatol Pomozov <anatol.pomozov@gmail.com>" is invalid
:: File /var/cache/pacman/pkg/gdb-common-10.2-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).

I tried reinstalling the plasma-meta and I'm still getting the same invalid or corrupted PGP signature problem.

I trired to use a different mirroir like `http://mirror.lty.me/archlinux/` and by following this procedure https://linuxhint.com/update_pacman_dat … 20press%20.

sudo pacman -Sc
Packages to keep:
  All locally installed packages

Cache directory: /var/cache/pacman/pkg/
:: Do you want to remove all other packages from cache? [Y/n] y
removing old packages from cache...
error: could not open file /var/cache/pacman/pkg/breeze-icons-5.85.0-1-any.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/qqc2-desktop-style-5.86.0-1-x86_64.pkg.tar.zst: Unrecognized archive format
error: could not open file /var/cache/pacman/pkg/xorg-xsetroot-1.1.2-2-x86_64.pkg.tar.zst: Unrecognized archive format
...


sudo pacman -Syy
:: Synchronizing package databases...
 core                                                                                                              138.3 KiB   262 KiB/s 00:01 [########################################################################################] 100%
 extra                                                                                                            1584.8 KiB  2.84 MiB/s 00:01 [########################################################################################] 100%
 community                                                                                                           5.8 MiB  3.45 MiB/s 00:02 [########################################################################################] 100%

sudo pacman -S plasma-meta
...
 gdb-common-11.1-1-x86_64                                                                                           78.3 KiB   602 KiB/s 00:00 [########################################################################################] 100%
 Total (98/98)                                                                                                     236.5 MiB  2.38 MiB/s 01:39 [########################################################################################] 100%
(127/127) checking keys in keyring                                                                                                             [########################################################################################] 100%
(127/127) checking package integrity                                                                                                           [########################################################################################] 100%
error: kdecoration: signature from "Antonio Rojas <arojas@archlinux.org>" is invalid
:: File /var/cache/pacman/pkg/kdecoration-5.22.5-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).

I restart cleaning pacman cache and reinstalling plasma-meta but I'm still getting the same error.

Offline

#6 2021-09-17 15:59:18

erakis
Member
Registered: 2017-12-12
Posts: 13

Re: plasma-meta = invalid or corrupted package (PGP signature)

i finally succeeded

I removed all the file from the `/var/cache/pacman/pkg/` having a "Unrecognized archive format" and then

sudo pacman -S archlinux-keyring
sudo pacman-key --populate archlinux
sudo pacman -Syu
sudo pacman-key --refresh-keys

sudo pacman -Syu
sudo pacman -Sc
sudo pacman -S plasma-meta

roll

Last edited by erakis (2021-09-17 16:00:00)

Offline

Board footer

Powered by FluxBB